Skip to main content
GET
/
v1
/
tiktok
/
users
/
{username}
Get user details
curl --request GET \
  --url https://api.konbiniapi.com/v1/tiktok/users/{username} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "@context": [
      "https://www.w3.org/ns/activitystreams#",
      "https://konbiniapi.com/ns/social#"
    ],
    "type": "Person",
    "id": "https://www.tiktok.com/@khaby.lame",
    "url": "https://www.tiktok.com/@khaby.lame",
    "userId": "127905465618821121",
    "internalId": "MS4wLjABAAAAwAg0rSzO65WQfz4RzQgGv2Xdv108BgPXhRrrmNVIHQZ9PO8-flwwRtEppYTS0OjA",
    "name": "Khabane lame",
    "preferredUsername": "khaby.lame",
    "isPrivate": false,
    "isVerified": true,
    "isLive": false,
    "followerCount": 160300000,
    "followingCount": 85,
    "likeCount": 2600000000,
    "videoCount": 1309,
    "summary": "Just a guy who reacts",
    "attachment": [
      {
        "type": "Link",
        "href": "https://linktr.ee/khaby.lame"
      }
    ],
    "published": "2020-03-15T00:00:00.000Z",
    "hasLikes": true,
    "hasPlaylists": true,
    "icon": {
      "type": "Image",
      "url": "https://p16-sign.tiktokcdn-us.com/tos-avt/123456~c5_100x100.jpeg",
      "width": 576,
      "height": 1024
    },
    "image": [
      {
        "type": "Image",
        "url": "https://p16-sign.tiktokcdn-us.com/tos-avt/123456~c5_100x100.jpeg",
        "width": 576,
        "height": 1024
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Send your API key in the Authorization header as a Bearer token. Example: Authorization: Bearer <your-api-key>

Path Parameters

username
string
required

TikTok username (with or without @ symbol)

Response

Returns the user details

data
object
required